Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.daemon.configuration
Class XmlServerConfigurationContext

    java.lang.Object
      com.sshtools.daemon.configuration.XmlServerConfigurationContext

All Implemented Interfaces:
  ConfigurationContext

public class XmlServerConfigurationContext
extends java.lang.Object
implements ConfigurationContext

DOCUMENT ME!

Constructor Summary
`XmlServerConfigurationContext()` Creates a new XmlServerConfigurationContext object.

Method Summary
`java.lang.Object` | `getConfiguration(java.lang.Class cls)` DOCUMENT ME!
`void` | `initialize()` DOCUMENT ME!
`boolean` | `isConfigurationAvailable(java.lang.Class cls)` DOCUMENT ME!
`void` | `setFailOnError(boolean failOnError)` DOCUMENT ME!
`void` | `setPlatformConfigurationResource(java.lang.String platformResource)` DOCUMENT ME!
`void` | `setServerConfigurationResource(java.lang.String serverResource)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlServerConfigurationContext

    public XmlServerConfigurationContext()

  Creates a new XmlServerConfigurationContext object.

Method Detail

### setServerConfigurationResource

    public void setServerConfigurationResource(java.lang.String serverResource)

  DOCUMENT ME!

  Parameters:
    `serverResource` - DOCUMENT ME!

### setPlatformConfigurationResource

    public void setPlatformConfigurationResource(java.lang.String platformResource)

  DOCUMENT ME!

  Parameters:
    `platformResource` - DOCUMENT ME!

### setFailOnError

    public void setFailOnError(boolean failOnError)

  DOCUMENT ME!

  Parameters:
    `failOnError` - DOCUMENT ME!

### initialize

    public void initialize()
                    throws ConfigurationException

  DOCUMENT ME!

  Specified by:
    `initialize` in interface `ConfigurationContext`
  Throws:
    `ConfigurationException` - DOCUMENT ME!

### isConfigurationAvailable

    public boolean isConfigurationAvailable(java.lang.Class cls)

  DOCUMENT ME!

  Specified by:
    `isConfigurationAvailable` in interface `ConfigurationContext`
  Parameters:
    `cls` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getConfiguration

    public java.lang.Object getConfiguration(java.lang.Class cls)
                                      throws ConfigurationException

  DOCUMENT ME!

  Specified by:
    `getConfiguration` in interface `ConfigurationContext`
  Parameters:
    `cls` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `ConfigurationException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD